## python-bumps 0.7.14

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        ?= python
SPHINXOPTS    =
SPHINXBUILD   = $(PYTHON) -m sphinx.__init__
#sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp \
        devhelp epub latex pdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  clean      to initialize the build area"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf        to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	# Cleaning matplotlib plots from build
	# Cleaning html/pdf from $(BUILDDIR)
	# Resetting api/ and tutorial/
	-rm -rf $(BUILDDIR) api tutorial

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bumpsdocumentation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bumpsdocumentation.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bumpsdocumentation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bumpsdocumentation"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make pdf' here to do that automatically)."

pdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through (pdf)latex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
	cp $(BUILDDIR)/latex/Bumps.pdf $(BUILDDIR)/html

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-bumps 0.7.6

=== debian/changelog ===
python-bumps (0.7.6-3) unstable; urgency=medium

  * Allow numerical fuzz in tests.
  * Update Standards-Version to 4.1.2 (no changes required).
  * Set Rules-Require-Root: no.
  * Switch to dehelper compat 11.
   - update to place documentation in /usr/share/doc/python-bumps as per
     Policy §12.3.

 -- Stuart Prescott <stuart@debian.org>  Sat, 30 Dec 2017 16:38:43 +1100

python-bumps (0.7.6-2) unstable; urgency=medium

  * Team upload.
  * Fix package name in debian/watch.
  * Add stray GPL and Expat licences to debian/copyright.
  * python3 package now available (Thanks Stuart Prescott)
    - rename the python2 version of /usr/bin/bumps as bumps2
    - bumps.gui will fail in python3 since wx is not available

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Nov 2017 11:57:41 +0800

python-bumps (0.7.6-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #879829)
  * python3-bumps can be built but has been deactivated since wx is
    not yet available for python3, see Bug#880032.

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Oct 2017 13:48:54 +0800

=== debian/control ===
Source: python-bumps
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Drew Parsons <dparsons@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 libjs-jquery,
 libjs-mathjax,
 python-all,
 python-matplotlib,
 python-nose,
 python-numpy,
 python-scipy,
 python-setuptools,
 python-six,
 python-sklearn,
 python-sphinx,
 python-wxgtk3.0,
 python3-all,
 python3-matplotlib,
 python3-nose,
 python3-numpy,
 python3-scipy,
 python3-setuptools,
 python3-six,
 python3-sklearn,
 python3-sphinx,
 texinfo
Standards-Version: 4.1.2
Homepage: https://github.com/bumps/bumps
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-bumps.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-bumps.git/
Rules-Requires-Root: no

Package: python-bumps
Architecture: all
Section: python
Depends:
 python-matplotlib,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 python-wxgtk3.0
Suggests:
 python-bumps-doc,
 python-sklearn
Description: data fitting and Bayesian uncertainty modeling for inverse problems (Python 2)
 Bumps is a set of routines for curve fitting and uncertainty analysis
 from a Bayesian perspective. In addition to traditional optimizers
 which search for the best minimum they can find in the search space,
 bumps provides uncertainty analysis which explores all viable minima
 and finds confidence intervals on the parameters based on uncertainty
 in the measured values. Bumps has been used for systems of up to 100
 parameters with tight constraints on the parameters. Full uncertainty
 analysis requires hundreds of thousands of function evaluations,
 which is only feasible for cheap functions, systems with many
 processors, or lots of patience.
 .
 Bumps includes several traditional local optimizers such as
 Nelder-Mead simplex, BFGS and differential evolution. Bumps
 uncertainty analysis uses Markov chain Monte Carlo to explore the
 parameter space. Although it was created for curve fitting problems,
 Bumps can explore any probability density function, such as those
 defined by PyMC. In particular, the bumps uncertainty analysis works
 well with correlated parameters.
 .
 Bumps can be used as a library within your own applications, or as a
 framework for fitting, complete with a graphical user interface to
 manage your models.
 .
 This package installs the library for Python 2.

Package: python3-bumps
Architecture: all
Section: python
Depends:
 python3-matplotlib,
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 python-bumps-doc,
 python3-sklearn
Description: data fitting and Bayesian uncertainty modeling for inverse problems (Python 3)
 Bumps is a set of routines for curve fitting and uncertainty analysis
 from a Bayesian perspective. In addition to traditional optimizers
 which search for the best minimum they can find in the search space,
 bumps provides uncertainty analysis which explores all viable minima
 and finds confidence intervals on the parameters based on uncertainty
 in the measured values. Bumps has been used for systems of up to 100
 parameters with tight constraints on the parameters. Full uncertainty
 analysis requires hundreds of thousands of function evaluations,
 which is only feasible for cheap functions, systems with many
 processors, or lots of patience.
 .
 Bumps includes several traditional local optimizers such as
 Nelder-Mead simplex, BFGS and differential evolution. Bumps
 uncertainty analysis uses Markov chain Monte Carlo to explore the
 parameter space. Although it was created for curve fitting problems,
 Bumps can explore any probability density function, such as those
 defined by PyMC. In particular, the bumps uncertainty analysis works
 well with correlated parameters.
 .
 Bumps can be used as a library within your own applications, or as a
 framework for fitting, complete with a graphical user interface to
 manage your models.
 .
 This package installs the library for Python 3.

Package: python-bumps-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: data fitting and Bayesian uncertainty modeling for inverse problems (docs)
 Bumps is a set of routines for curve fitting and uncertainty analysis
 from a Bayesian perspective. In addition to traditional optimizers
 which search for the best minimum they can find in the search space,
 bumps provides uncertainty analysis which explores all viable minima
 and finds confidence intervals on the parameters based on uncertainty
 in the measured values. Bumps has been used for systems of up to 100
 parameters with tight constraints on the parameters. Full uncertainty
 analysis requires hundreds of thousands of function evaluations,
 which is only feasible for cheap functions, systems with many
 processors, or lots of patience.
 .
 Bumps includes several traditional local optimizers such as
 Nelder-Mead simplex, BFGS and differential evolution. Bumps
 uncertainty analysis uses Markov chain Monte Carlo to explore the
 parameter space. Although it was created for curve fitting problems,
 Bumps can explore any probability density function, such as those
 defined by PyMC. In particular, the bumps uncertainty analysis works
 well with correlated parameters.
 .
 Bumps can be used as a library within your own applications, or as a
 framework for fitting, complete with a graphical user interface to
 manage your models.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=bumps

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mplconfig doc/_build doc/api doc/dream doc/tutorial api dream .cache

override_dh_install:
	dh_install
	mv debian/python-bumps/usr/bin/bumps  debian/python-bumps/usr/bin/bumps2
	./debian/relocate python-bumps usr/lib/python2.7/dist-packages/bumps/gui/resources usr/share/python-bumps/python
	for py in `py3versions -i`; do \
	  ./debian/relocate python3-bumps usr/lib/$$py/dist-packages/bumps/gui/resources usr/share/python-bumps/python3; \
	done
	find debian/python3-bumps/usr -name __pycache__ -exec rm -rf {} +

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml     doc/ build/html # HTML generator
	ln -sf /usr/share/javascript/mathjax/ build/html/_static/mathjax
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -btexinfo     doc/ build/texinfo # texinfo generator

override_dh_installinfo:
	cd build/texinfo; \
	for p in *.png; do mv $$p bumps-$$p; done; \
	sed "s/@image{/@image{bumps-/" -i bumps.texi; \
	makeinfo bumps.texi
	dh_installinfo

override_dh_installman:
	cp debian/bumps.1 debian/bumps2.1
	dh_installman
	rm debian/bumps2.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 \
	  PYBUILD_TEST_ARGS_python2="-v --all-modules --with-doctest --doctest-options=+ELLIPSIS,+NORMALIZE_WHITESPACE bumps" \
	  PYBUILD_TEST_ARGS_python3="-v --all-modules --with-doctest --doctest-options=+ELLIPSIS,+NORMALIZE_WHITESPACE -egui bumps" \
	  dh_auto_test
endif

=== debian/tests/control ===
Tests: python-bumps
Restrictions: allow-stderr
Depends:
 python-all,
 python-bumps,
 python-nose,
 python-sklearn,
 python-wxgtk3.0

Tests: python3-bumps
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-bumps,
 python3-nose,
 python3-sklearn

## python-bumps 0.7.10

=== debian/changelog ===
python-bumps (0.7.10-1) unstable; urgency=medium

  * New upstream version.
    - now (0.7.9) supports wx 4 in python3
    - applies Debian patches matplotlibwx.patch, numpy-whitespace.patch
      and test-precision.patch
  * Standards-Version: 4.1.4
  * remove ancient-python-version-field X-Python-Version: >= 2.6 and
    X-Python3-Version: >= 3.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Jun 2018 20:03:18 +0200

python-bumps (0.7.6-5) unstable; urgency=medium

  * Fix doctests to work with numpy 1.14.

 -- Stuart Prescott <stuart@debian.org>  Wed, 09 May 2018 00:56:34 +1000

python-bumps (0.7.6-4) unstable; urgency=medium

  * Update to new matplotlib API.
  * Add missing dependencies to packages.

 -- Stuart Prescott <stuart@debian.org>  Mon, 16 Apr 2018 00:28:33 +1000

=== debian/control ===
--- 
+++ 
@@ -13,36 +13,44 @@
  python-all,
  python-matplotlib,
  python-nose,
- python-numpy,
- python-scipy,
+ python-numpy (>= 1.3.0),
+ python-scipy (>= 0.7.0),
+ python-periodictable,
  python-setuptools,
+ python-pyparsing (>= 1.5.2),
  python-six,
  python-sklearn,
  python-sphinx,
+ python-typing,
  python-wxgtk3.0,
  python3-all,
  python3-matplotlib,
  python3-nose,
- python3-numpy,
- python3-scipy,
+ python3-numpy (>= 1.3.0),
+ python3-scipy (>= 0.7.0),
+ python3-periodictable,
  python3-setuptools,
+ python3-pyparsing (>= 1.5.2),
  python3-six,
  python3-sklearn,
  python3-sphinx,
+ python3-wxgtk4.0,
  texinfo
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://github.com/bumps/bumps
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-bumps.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-bumps.git/
+Vcs-Git: https://salsa.debian.org/science-team/python-bumps.git
+Vcs-Browser: https://salsa.debian.org/science-team/python-bumps
 Rules-Requires-Root: no
 
 Package: python-bumps
 Architecture: all
 Section: python
 Depends:
- python-matplotlib,
+ python-matplotlib (>= 1.0),
+ python-numpy (>= 1.3.0),
+ python-scipy (>= 0.7.0),
+ python-six,
+ python-typing,
  ${misc:Depends},
  ${python:Depends}
 Recommends:
@@ -80,9 +88,14 @@
 Architecture: all
 Section: python
 Depends:
- python3-matplotlib,
+ python3-matplotlib (>= 1.0),
+ python3-numpy (>= 1.3.0),
+ python3-scipy (>= 0.7.0),
+ python3-six,
  ${misc:Depends},
  ${python3:Depends}
+Recommends:
+ python3-wxgtk4.0
 Suggests:
  python-bumps-doc,
  python3-sklearn

## python-bumps 0.7.11

=== debian/changelog ===
python-bumps (0.7.11-2) unstable; urgency=medium

  * Ensure arch-dep and arch-indep parts can be built separately
    (Closes: #917062).
  * Only try to build shared object on supported architectures.
  * Make the python-bumps modules packages depend on the compiled libraries
    in bumps-private-libs where possible (Closes: #916617).
  * Update Standards-Version to 4.3.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Wed, 26 Dec 2018 18:35:44 +1100

python-bumps (0.7.11-1) unstable; urgency=medium

  [ Drew Parsons ]
  * add BSD-3 licence entry for Random123 to debian/copyright.
  * build compiled.c with Random123 to speed up bumps/dream
    - destabilises build time tests of dream, so skip them

  [ Stuart Prescott ]
  * New upstream release.
  * Add new bumps-private-libs package for .so.
  * Fix compile flags for .so.
  * Also skip dream tests in the autopkgtests.
  * Update Standards-Version to 4.2.1 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Wed, 12 Dec 2018 01:31:28 +1100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  python-pyparsing (>= 1.5.2),
  python-six,
  python-sklearn,
- python-sphinx,
  python-typing,
  python-wxgtk3.0,
  python3-all,
@@ -35,8 +34,9 @@
  python3-sklearn,
  python3-sphinx,
  python3-wxgtk4.0,
+ librandom123-dev,
  texinfo
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/bumps/bumps
 Vcs-Git: https://salsa.debian.org/science-team/python-bumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-bumps
@@ -52,8 +52,9 @@
  python-six,
  python-typing,
  ${misc:Depends},
- ${python:Depends}
+ ${python:Depends},
 Recommends:
+ bumps-private-libs,
  python-wxgtk3.0
 Suggests:
  python-bumps-doc,
@@ -93,8 +94,9 @@
  python3-scipy (>= 0.7.0),
  python3-six,
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
 Recommends:
+ bumps-private-libs,
  python3-wxgtk4.0
 Suggests:
  python-bumps-doc,
@@ -124,6 +126,38 @@
  manage your models.
  .
  This package installs the library for Python 3.
+
+Package: bumps-private-libs
+Architecture: any-amd64 any-i386 powerpc
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: data fitting and Bayesian uncertainty modeling for inverse problems (libraries)
+ Bumps is a set of routines for curve fitting and uncertainty analysis
+ from a Bayesian perspective. In addition to traditional optimizers
+ which search for the best minimum they can find in the search space,
+ bumps provides uncertainty analysis which explores all viable minima
+ and finds confidence intervals on the parameters based on uncertainty
+ in the measured values. Bumps has been used for systems of up to 100
+ parameters with tight constraints on the parameters. Full uncertainty
+ analysis requires hundreds of thousands of function evaluations,
+ which is only feasible for cheap functions, systems with many
+ processors, or lots of patience.
+ .
+ Bumps includes several traditional local optimizers such as
+ Nelder-Mead simplex, BFGS and differential evolution. Bumps
+ uncertainty analysis uses Markov chain Monte Carlo to explore the
+ parameter space. Although it was created for curve fitting problems,
+ Bumps can explore any probability density function, such as those
+ defined by PyMC. In particular, the bumps uncertainty analysis works
+ well with correlated parameters.
+ .
+ Bumps can be used as a library within your own applications, or as a
+ framework for fitting, complete with a graphical user interface to
+ manage your models.
+ .
+ This package installs the compiled libraries used by the Python modules.
 
 Package: python-bumps-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

export PYBUILD_NAME=bumps

export libdir=/usr/lib/bumps/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mplconfig doc/_build doc/api doc/dream doc/tutorial api dream .cache
	rm -f bumps/dream/_compiled.so

override_dh_install:
	dh_install
	mv debian/python-bumps/usr/bin/bumps  debian/python-bumps/usr/bin/bumps2
	find debian/python3-bumps/usr -name __pycache__ -exec rm -rf {} +

override_dh_auto_build-common:
	dh_auto_build

override_dh_auto_build-indep: override_dh_auto_build-common
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml     doc/ build/html # HTML generator
	ln -sf /usr/share/javascript/mathjax/ build/html/_static/mathjax
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -btexinfo  doc/ build/texinfo # texinfo generator

override_dh_auto_build-arch: override_dh_auto_build-common
	(cd bumps/dream && $(CC) compiled.c \
	  $(shell dpkg-buildflags --get CPPFLAGS) \
	  $(shell dpkg-buildflags --get CFLAGS) \
	  $(shell dpkg-buildflags --get LDFLAGS) \
	  -fopenmp -shared -lm -o _compiled.so -fPIC)
	for pybuilddir in .pybuild/cpython*_*_bumps/build/bumps/dream; do \
	  cp bumps/dream/_compiled.so $$pybuilddir; \
	done

# bumps/dream:_compiled.so is hardwired into compiled.py, so don't rename
override_dh_python2:
	dh_python2 --no-ext-rename

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_install-arch:
	dh_auto_install
	rm debian/python*-bumps/usr/lib/python*/*packages/bumps/dream/*.so
	cp bumps/dream/_compiled.so \
	  debian/bumps-private-libs/usr/lib/bumps/random123_compiled.so

override_dh_installinfo-indep:
	cd build/texinfo; \
	for p in *.png; do mv $$p bumps-$$p; done; \
	sed "s/@image{/@image{bumps-/" -i bumps.texi; \
	makeinfo bumps.texi
	dh_installinfo

override_dh_installman-indep:
	cp debian/bumps.1 debian/bumps2.1
	dh_installman
	rm debian/bumps2.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 \
	  PYBUILD_TEST_ARGS_python2="-v --all-modules --with-doctest --doctest-options=+ELLIPSIS,+NORMALIZE_WHITESPACE -edream bumps" \
	  PYBUILD_TEST_ARGS_python3="-v --all-modules --with-doctest --doctest-options=+ELLIPSIS,+NORMALIZE_WHITESPACE -edream bumps" \
	  dh_auto_test
endif

## python-bumps 0.7.12

=== debian/changelog ===
python-bumps (0.7.12-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12
    - use pybuild build_dir to build docs
  * debian patch docs_no_caller_name.patch drops caller_name from list
    of functions in docs (it is not provided by bumps)
  * drop Build and Test dependencies on python-sklearn to help the
    Python2 removal transition. sklearn is used by
    bumps/dream/entropy.py but dream tests are disabled because of an
    error in bounds handlers test. Closes: #934941.
  * Build-Depends: python3-tk, python-tk. Also Test Depends.

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Aug 2019 12:01:09 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Drew Parsons <dparsons@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  libjs-jquery,
  libjs-mathjax,
@@ -16,10 +16,10 @@
  python-numpy (>= 1.3.0),
  python-scipy (>= 0.7.0),
  python-periodictable,
- python-setuptools,
  python-pyparsing (>= 1.5.2),
  python-six,
- python-sklearn,
+ python-setuptools,
+ python-tk,
  python-typing,
  python-wxgtk3.0,
  python3-all,
@@ -28,15 +28,16 @@
  python3-numpy (>= 1.3.0),
  python3-scipy (>= 0.7.0),
  python3-periodictable,
+ python3-pyparsing (>= 1.5.2),
  python3-setuptools,
- python3-pyparsing (>= 1.5.2),
  python3-six,
  python3-sklearn,
  python3-sphinx,
+ python3-tk,
  python3-wxgtk4.0,
  librandom123-dev,
  texinfo
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/bumps/bumps
 Vcs-Git: https://salsa.debian.org/science-team/python-bumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-bumps

=== debian/rules ===
--- 
+++ 
@@ -26,9 +26,9 @@
 	dh_auto_build
 
 override_dh_auto_build-indep: override_dh_auto_build-common
-	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml     doc/ build/html # HTML generator
+	PYTHONPATH=`pybuild --print build_dir | awk '{print $$3}'` http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml     doc/ build/html # HTML generator
 	ln -sf /usr/share/javascript/mathjax/ build/html/_static/mathjax
-	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -btexinfo  doc/ build/texinfo # texinfo generator
+	PYTHONPATH=`pybuild --print build_dir | awk '{print $$3}'` http_proxy='127.0.0.1:9' python3 -m sphinx -N -btexinfo  doc/ build/texinfo # texinfo generator
 
 override_dh_auto_build-arch: override_dh_auto_build-common
 	(cd bumps/dream && $(CC) compiled.c \

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
  python-all,
  python-bumps,
  python-nose,
- python-sklearn,
+ python-tk,
  python-wxgtk3.0
 
 Tests: python3-bumps
@@ -13,4 +13,5 @@
  python3-all,
  python3-bumps,
  python3-nose,
- python3-sklearn
+ python3-sklearn,
+ python3-tk

## python-bumps 0.7.14

=== debian/changelog ===
python-bumps (0.7.14-1) unstable; urgency=medium

  [ Stuart Prescott ]
  * New upstream release.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Stuart Prescott <stuart@debian.org>  Thu, 09 Jan 2020 15:05:49 +1100

python-bumps (0.7.13-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Oct 2019 10:46:55 +0800

python-bumps (0.7.12-2) unstable; urgency=medium

  * mark python-bumps-doc as Multi-Arch: foreign
  * drop python-bumps (remove Python2). Closes: #937623.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Oct 2019 17:19:35 +0800

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,6 @@
  dh-python,
  libjs-jquery,
  libjs-mathjax,
- python-all,
- python-matplotlib,
- python-nose,
- python-numpy (>= 1.3.0),
- python-scipy (>= 0.7.0),
- python-periodictable,
- python-pyparsing (>= 1.5.2),
- python-six,
- python-setuptools,
- python-tk,
- python-typing,
- python-wxgtk3.0,
  python3-all,
  python3-matplotlib,
  python3-nose,
@@ -37,54 +25,11 @@
  python3-wxgtk4.0,
  librandom123-dev,
  texinfo
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/bumps/bumps
 Vcs-Git: https://salsa.debian.org/science-team/python-bumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-bumps
 Rules-Requires-Root: no
-
-Package: python-bumps
-Architecture: all
-Section: python
-Depends:
- python-matplotlib (>= 1.0),
- python-numpy (>= 1.3.0),
- python-scipy (>= 0.7.0),
- python-six,
- python-typing,
- ${misc:Depends},
- ${python:Depends},
-Recommends:
- bumps-private-libs,
- python-wxgtk3.0
-Suggests:
- python-bumps-doc,
- python-sklearn
-Description: data fitting and Bayesian uncertainty modeling for inverse problems (Python 2)
- Bumps is a set of routines for curve fitting and uncertainty analysis
- from a Bayesian perspective. In addition to traditional optimizers
- which search for the best minimum they can find in the search space,
- bumps provides uncertainty analysis which explores all viable minima
- and finds confidence intervals on the parameters based on uncertainty
- in the measured values. Bumps has been used for systems of up to 100
- parameters with tight constraints on the parameters. Full uncertainty
- analysis requires hundreds of thousands of function evaluations,
- which is only feasible for cheap functions, systems with many
- processors, or lots of patience.
- .
- Bumps includes several traditional local optimizers such as
- Nelder-Mead simplex, BFGS and differential evolution. Bumps
- uncertainty analysis uses Markov chain Monte Carlo to explore the
- parameter space. Although it was created for curve fitting problems,
- Bumps can explore any probability density function, such as those
- defined by PyMC. In particular, the bumps uncertainty analysis works
- well with correlated parameters.
- .
- Bumps can be used as a library within your own applications, or as a
- framework for fitting, complete with a graphical user interface to
- manage your models.
- .
- This package installs the library for Python 2.
 
 Package: python3-bumps
 Architecture: all
@@ -162,6 +107,7 @@
 
 Package: python-bumps-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  libjs-jquery,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export libdir=/usr/lib/bumps/
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -19,7 +19,6 @@
 
 override_dh_install:
 	dh_install
-	mv debian/python-bumps/usr/bin/bumps  debian/python-bumps/usr/bin/bumps2
 	find debian/python3-bumps/usr -name __pycache__ -exec rm -rf {} +
 
 override_dh_auto_build-common:
@@ -41,9 +40,6 @@
 	done
 
 # bumps/dream:_compiled.so is hardwired into compiled.py, so don't rename
-override_dh_python2:
-	dh_python2 --no-ext-rename
-
 override_dh_python3:
 	dh_python3 --no-ext-rename
 
@@ -68,7 +64,6 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	LC_ALL=C.UTF-8 \
-	  PYBUILD_TEST_ARGS_python2="-v --all-modules --with-doctest --doctest-options=+ELLIPSIS,+NORMALIZE_WHITESPACE -edream bumps" \
 	  PYBUILD_TEST_ARGS_python3="-v --all-modules --with-doctest --doctest-options=+ELLIPSIS,+NORMALIZE_WHITESPACE -edream bumps" \
 	  dh_auto_test
 endif

## python-bumps 0.7.16

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 PYTHON        ?= python
 SPHINXOPTS    =
-SPHINXBUILD   = $(PYTHON) -m sphinx.__init__
+SPHINXBUILD   = $(PYTHON) -m sphinx
 #sphinx-build
 PAPER         =
 BUILDDIR      = _build

=== debian/changelog ===
python-bumps (0.7.16-1) unstable; urgency=medium

  * New upstream release.
    - drop docs_no_caller_name.patch as no longer required
  * Move to debhelper-compat 13, using execute_after/before_* to simplify
    d/rules.
  * Drop no longer needed code from d/rules.

 -- Stuart Prescott <stuart@debian.org>  Mon, 10 Aug 2020 14:09:28 +1000

python-bumps (0.7.14-3) unstable; urgency=medium

  * info file generated by sphinx 2.4 no longer links to png image
    files. Closes: #955061.

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Apr 2020 21:49:15 +0800

python-bumps (0.7.14-2) unstable; urgency=medium


  * Only test py3versions -s.
  * Update Standards-Version to 4.5.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Mar 2020 02:03:13 +1100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Drew Parsons <dparsons@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  libjs-jquery,
  libjs-mathjax,
@@ -25,7 +25,7 @@
  python3-wxgtk4.0,
  librandom123-dev,
  texinfo
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/bumps/bumps
 Vcs-Git: https://salsa.debian.org/science-team/python-bumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-bumps

## python-bumps 0.8.0

=== debian/changelog ===
python-bumps (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.1 (no changes required).
  * Add lintian overrides to improve S/N of lintian.

 -- Stuart Prescott <stuart@debian.org>  Sun, 20 Dec 2020 12:33:21 +1100

python-bumps (0.7.17-1) unstable; urgency=medium

  * New usptream release.

 -- Stuart Prescott <stuart@debian.org>  Fri, 13 Nov 2020 17:28:01 +1100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-wxgtk4.0,
  librandom123-dev,
  texinfo
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/bumps/bumps
 Vcs-Git: https://salsa.debian.org/science-team/python-bumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-bumps

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

export PYBUILD_NAME=bumps

export libdir=/usr/lib/bumps/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf .mplconfig doc/_build doc/api doc/dream doc/tutorial api dream .cache
	rm -f bumps/dream/_compiled.so

execute_after_dh_install:
	find debian/python3-bumps/usr -name __pycache__ -exec rm -rf {} +

execute_after_dh_auto_build-indep:
	PYTHONPATH=`pybuild --print build_dir | awk '{print $$3}'` http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml     doc/ build/html # HTML generator
	ln -sf /usr/share/javascript/mathjax/ build/html/_static/mathjax
	PYTHONPATH=`pybuild --print build_dir | awk '{print $$3}'` http_proxy='127.0.0.1:9' python3 -m sphinx -N -btexinfo  doc/ build/texinfo # texinfo generator

execute_after_dh_auto_build-arch:
	(cd bumps/dream && $(CC) compiled.c \
	  $(shell dpkg-buildflags --get CPPFLAGS) \
	  $(shell dpkg-buildflags --get CFLAGS) \
	  $(shell dpkg-buildflags --get LDFLAGS) \
	  -fopenmp -shared -lm -o _compiled.so -fPIC)
	for pybuilddir in `pybuild --print build_dir | awk '{print $$3}'`; do \
	  cp bumps/dream/_compiled.so $$pybuilddir/bumps/dream; \
	done

# bumps/dream:_compiled.so is hardwired into compiled.py, so don't rename
override_dh_python3:
	dh_python3 --no-ext-rename

execute_after_dh_auto_install-arch:
	rm debian/python*-bumps/usr/lib/python*/*packages/bumps/dream/*.so
	cp bumps/dream/_compiled.so \
	  debian/bumps-private-libs/usr/lib/bumps/random123_compiled.so

execute_before_dh_installinfo-indep:
	cd build/texinfo; \
	makeinfo bumps.texi

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 \
	  PYBUILD_TEST_ARGS_python3="-v --all-modules --with-doctest --doctest-options=+ELLIPSIS,+NORMALIZE_WHITESPACE -edream bumps" \
	  dh_auto_test
endif

## python-bumps 0.8.1

=== debian/changelog ===
python-bumps (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0
  * texinfo docs: set reference to .png images in bumps.info-1 to point
    to installed images in /usr/share/doc/python-bumps-doc/html/_images

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Dec 2021 11:38:46 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-wxgtk4.0,
  librandom123-dev,
  texinfo
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/bumps/bumps
 Vcs-Git: https://salsa.debian.org/science-team/python-bumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-bumps

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 execute_before_dh_installinfo-indep:
 	cd build/texinfo; \
 	makeinfo bumps.texi
+	sed "s|src=\"bumps-figures/|src=\"/usr/share/doc/python-bumps-doc/html/_images/|" -i build/texinfo/bumps.info-1
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: python3-bumps
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-bumps,
 python3-nose,
 python3-sklearn,
 python3-tk

## python-bumps 0.9.0

=== debian/changelog ===
python-bumps (0.9.0-3) unstable; urgency=medium

  * debian patch scipy_1.10.patch patches covariance handling to allow
    for changes in scipy 1.10 (stats.Covariance).
    See Upstream Issue #118. Closes: #1029693.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jan 2023 17:07:11 +0100

python-bumps (0.9.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Nov 2022 17:42:04 +1100

python-bumps (0.9.0-1) experimental; urgency=medium

  * New upstream release.
    - upload to experimental until new sasmodels and sasview releases are
      also ready for upload to unstable.
  * Update Standards-Version to 4.6.1 (no changes required).
  * Update lintian overrides to match newer lintian releases.
  * Switch from nose to pytest as the test harness.
  * Add patch to dream/compiled.c to fix multithreaded bounds with openmp.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Stuart Prescott <stuart@debian.org>  Thu, 04 Aug 2022 00:40:21 +1000

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
  libjs-mathjax,
  python3-all,
  python3-matplotlib,
- python3-nose,
  python3-numpy (>= 1.3.0),
  python3-scipy (>= 0.7.0),
  python3-periodictable,
  python3-pyparsing (>= 1.5.2),
+ python3-pytest,
+ python3-pytest-cov,
  python3-setuptools,
  python3-six,
  python3-sklearn,
@@ -25,7 +26,7 @@
  python3-wxgtk4.0,
  librandom123-dev,
  texinfo
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/bumps/bumps
 Vcs-Git: https://salsa.debian.org/science-team/python-bumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-bumps

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 execute_after_dh_install:
 	find debian/python3-bumps/usr -name __pycache__ -exec rm -rf {} +
+	rm -f debian/python3-bumps/usr/lib/python3*/dist-packages/.coverage
 
 execute_after_dh_auto_build-indep:
 	PYTHONPATH=`pybuild --print build_dir | awk '{print $$3}'` http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml     doc/ build/html # HTML generator
@@ -47,10 +48,3 @@
 	cd build/texinfo; \
 	makeinfo bumps.texi
 	sed "s|src=\"bumps-figures/|src=\"/usr/share/doc/python-bumps-doc/html/_images/|" -i build/texinfo/bumps.info-1
-
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	LC_ALL=C.UTF-8 \
-	  PYBUILD_TEST_ARGS_python3="-v --all-modules --with-doctest --doctest-options=+ELLIPSIS,+NORMALIZE_WHITESPACE -edream bumps" \
-	  dh_auto_test
-endif

=== debian/tests/control ===
Tests: python3-bumps
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-bumps,
 python3-pytest,
 python3-pytest-cov,
 python3-sklearn,
 python3-tk

=== debian/watch ===
# bumps watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bumps-$1.tar.gz%" \
   https://github.com/bumps/bumps/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-bumps 0.9.1

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 PYTHON        ?= python
-SPHINXOPTS    =
+SPHINXOPTS    = -W --keep-going -n
 SPHINXBUILD   = $(PYTHON) -m sphinx
 #sphinx-build
 PAPER         =

=== debian/changelog ===
python-bumps (0.9.1-2) unstable; urgency=medium

  * Exclude unused (?) files from tests to prevent failures with Python 3.12
    (Closes: #1056459).
  * Add arm64 to list of architectures for compiled modules
    (Closes: #1056057).

 -- Stuart Prescott <stuart@debian.org>  Wed, 06 Dec 2023 17:01:01 +1100

python-bumps (0.9.1-1) unstable; urgency=medium

  * New upstream release.
    - drop patches applied upstream
  * Update debian/watch file for github changes.

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Aug 2023 15:39:10 +1000

=== debian/control ===
--- 
+++ 
@@ -75,7 +75,7 @@
  This package installs the library for Python 3.
 
 Package: bumps-private-libs
-Architecture: any-amd64 any-i386 powerpc
+Architecture: any-amd64 any-i386 powerpc arm64
 Section: libs
 Depends:
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
 
 export PYBUILD_NAME=bumps
+# skip (unused?) files not needed with Python 3.12
+export PYBUILD_TEST_ARGS=--ignore bumps/openmp_ext.py
 
 export libdir=/usr/lib/bumps/

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/bumps/bumps/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-bumps 0.9.2

=== doc/requirements.txt ===
setuptools
numpy>=1.0
scipy>=0.7.0
matplotlib>=1.0
#dill # optional

=== debian/changelog ===
python-bumps (0.9.2-2) unstable; urgency=medium

  * debian patches update_wsolve_test_af82c75.patch and
    update_wsolve_test_targets_7bb1beb.patch apply upstream commits to
    fix wsolve tests for scipy 1.13.

 -- Drew Parsons <dparsons@debian.org>  Mon, 08 Jul 2024 00:39:27 +0200

python-bumps (0.9.2-1) unstable; urgency=medium

  * New upstream release
   - drop dependencies on python3-six, with thanks to Alexandre Detiste for
     the work with upstream (Closes: #1069738)
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 05 May 2024 11:28:37 +1000

## python-bumps 0.9.3

=== debian/changelog ===
python-bumps (0.9.3-1) unstable; urgency=medium

  * New upstream release.
   - drop patches applied upstream

 -- Stuart Prescott <stuart@debian.org>  Thu, 18 Jul 2024 16:23:17 +1000

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,13 @@
  python3-pytest,
  python3-pytest-cov,
  python3-setuptools,
- python3-six,
  python3-sklearn,
  python3-sphinx,
  python3-tk,
  python3-wxgtk4.0,
  librandom123-dev,
  texinfo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/bumps/bumps
 Vcs-Git: https://salsa.debian.org/science-team/python-bumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-bumps
@@ -39,7 +38,6 @@
  python3-matplotlib (>= 1.0),
  python3-numpy (>= 1.3.0),
  python3-scipy (>= 0.7.0),
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## python-bumps 1.0.0a13

=== doc/requirements.txt ===


=== debian/changelog ===
python-bumps (1.0.0a13-1) unstable; urgency=medium

  * New upstream alpha release
    - required for passing tests with scipy 1.15, see scipy Issue#22236
    - tests fixed by commit 2976331 for v1.0.0a12
    - Build-Depends: pybuild-plugin-pyproject
  * update debian/watch to latest format recommended for github
  * debian/rules generates _version.py, since versioningit is not yet
    packaged for debian
  * update Build-Depends for packages used by webview component:
    python3-aiohttp, python3-blinker, python3-h5py, python3-plotly,
    python3-socketio.
    Also in debian/tests, and python3-bumps Suggests: ...
  * don't install .npmignore (lintian package-contains-npm-ignore-file)
  * drop redundant lintian override package-does-not-install-examples,
    very-long-line-length-in-source-file, image-file-in-usr-lib
  * debian/copyright: remove deprecated entries master_builder.py,
    setup_py2exe.py, Random123/*
  * update debian patch sphinx-local-mathjax.patch to use full mathjax
    filepath from libjs-mathjax
  * generate man page for bumps-webview with
    help2man -h "-h" --version-string="1.0.0" -p bumps -S BUMPS
     -n "a webview interface for Bumps" bumps-webview > bumps-webview.1
  * debian/tests: pytest.ini no longer used to manage tests

 -- Drew Parsons <dparsons@debian.org>  Sat, 22 Feb 2025 13:36:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  libjs-jquery,
  libjs-mathjax,
  python3-all,
@@ -20,6 +21,11 @@
  python3-pytest-cov,
  python3-setuptools,
  python3-sklearn,
+ python3-aiohttp,
+ python3-blinker,
+ python3-h5py,
+ python3-plotly,
+ python3-socketio,
  python3-sphinx,
  python3-tk,
  python3-wxgtk4.0,
@@ -45,7 +51,12 @@
  python3-wxgtk4.0
 Suggests:
  python-bumps-doc,
- python3-sklearn
+ python3-sklearn,
+ python3-aiohttp,
+ python3-blinker,
+ python3-h5py,
+ python3-plotly,
+ python3-socketio
 Description: data fitting and Bayesian uncertainty modeling for inverse problems (Python 3)
  Bumps is a set of routines for curve fitting and uncertainty analysis
  from a Bayesian perspective. In addition to traditional optimizers

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 #export DH_VERBOSE = 1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+
+DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
+DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
 
 export PYBUILD_NAME=bumps
 # skip (unused?) files not needed with Python 3.12
@@ -17,14 +21,18 @@
 execute_after_dh_auto_clean:
 	rm -rf .mplconfig doc/_build doc/api doc/dream doc/tutorial api dream .cache
 	rm -f bumps/dream/_compiled.so
+	rm -f bumps/_version.py
+
+execute_before_dh_auto_configure:
+	echo "__version__ = '$(DEB_UPSTREAM_VERSION)'" > bumps/_version.py
 
 execute_after_dh_install:
 	find debian/python3-bumps/usr -name __pycache__ -exec rm -rf {} +
 	rm -f debian/python3-bumps/usr/lib/python3*/dist-packages/.coverage
+	rm -f debian/python3-bumps/usr/lib/python3*/dist-packages/bumps/webview/client/.npmignore
 
 execute_after_dh_auto_build-indep:
 	PYTHONPATH=`pybuild --print build_dir | awk '{print $$3}'` http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml     doc/ build/html # HTML generator
-	ln -sf /usr/share/javascript/mathjax/ build/html/_static/mathjax
 	PYTHONPATH=`pybuild --print build_dir | awk '{print $$3}'` http_proxy='127.0.0.1:9' python3 -m sphinx -N -btexinfo  doc/ build/texinfo # texinfo generator
 
 execute_after_dh_auto_build-arch:

## python-bumps 1.0.0b2

=== debian/changelog ===
python-bumps (1.0.0b2-2) unstable; urgency=medium

  * Fix arch-all/arch-dep installation of examples.

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Apr 2025 16:08:47 +1000

python-bumps (1.0.0b2-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches
  * Update S-V to 4.7.2 (no changes needed).
  * Use dpkg-dev for DEB_VERSION_UPSTREAM value.
  * Update lintian overrides.
  * Install examples into doc package.

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Apr 2025 14:37:46 +1000

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  python3-wxgtk4.0,
  librandom123-dev,
  texinfo
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/bumps/bumps
 Vcs-Git: https://salsa.debian.org/science-team/python-bumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/python-bumps

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,9 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
+include /usr/share/dpkg/pkg-info.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
-
-DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
-DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
-DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
 
 export PYBUILD_NAME=bumps
 # skip (unused?) files not needed with Python 3.12
@@ -58,3 +56,8 @@
 	cd build/texinfo; \
 	makeinfo bumps.texi
 	sed "s|src=\"bumps-figures/|src=\"/usr/share/doc/python-bumps-doc/html/_images/|" -i build/texinfo/bumps.info-1
+
+
+execute_after_dh_installexamples-indep:
+	cp -r bumps/mystic/examples debian/python-bumps-doc/usr/share/doc/python-bumps-doc/examples/mystic_examples
+	cp -r doc/examples debian/python-bumps-doc/usr/share/doc/python-bumps-doc/examples/doc_examples

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/bumps/bumps/git/matching-refs/tags/ \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
